<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:insert="fragments/head :: head(title='Products')"></head>
<body>
<div th:insert="fragments/navbar :: navbar"></div>
<link type="text/css" th:href="@{/css/DataTables/datatables.min.css}" rel="stylesheet">
<script type="text/javascript" th:src="@{/js/DataTables/datatables.min.js}"></script>

<div class="container-fluid py-3">
    <button type="button" class="btn btn-warning" data-bs-toggle="modal"
            data-bs-target="#saveProductModal" data-bs-whatever="">
        Add new product
    </button>
</div>

<div class="container-fluid py-3" th:if="${param.message}">
    <div class="alert alert-success" role="alert" th:text="${param.message}"></div>
</div>

<div class="container-fluid py-3" th:if="${products}">
    <div class="table-wrapper">
        <table class="table table-striped " id="productTable">
            <thead class="table-dark sticky-md-top">
            <tr>
                <th class="text-center">id</th>
                <th class="text-center">name</th>
                <th class="text-center">price</th>
                <th class="text-center">measure</th>
                <th class="text-center">category</th>
                <th class="text-center"></th>
            </tr>
            </thead>
            <tbody>

            <tr th:each="product : ${products}">
                <td class="text-center align-middle" th:text="${product.id}"></td>
                <td class="text-center align-middle" th:text="${product.name}"></td>
                <td class="text-center align-middle" th:text="${product.price}"></td>
                <td class="text-center align-middle" th:text="${product.measure}"></td>
                <td class="text-center align-middle" th:text="${product.category}"></td>

                <td class="text-center">
                    <form method="post" th:action="@{/product/delete}">
                        <input type="hidden" name="id" th:value="${product.id}">
                        <input type="hidden" name="name" th:value="${product.name}">
                        <input type="hidden" name="price" th:value="${product.price}">
                        <input type="hidden" name="measure" th:value="${product.measure}">
                        <input type="hidden" name="category" th:value="${product.category}">
                        <input type="submit" class="btn btn-danger" value="Delete">
                        <input class="btn btn-primary" data-bs-toggle="modal"
                               type="button" data-bs-target="#saveProductModal"
                               th:data-bs-whatever="${product.id}+'|'+${product.name}+'|'+${product.price}+'|'+${product.measure}+'|'+${product.category}"
                               value="Edit">
                    </form>

                </td>
            </tr>

            </tbody>
        </table>
    </div>
</div>

<div class="modal fade" id="saveProductModal" tabindex="-1" aria-labelledby="Save product modal" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalLabel">Save product</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <div id="messageModal" class="alert alert-success" role="alert" style="display: none;">
            </div>
            <div id="errorsModal" class="alert alert-danger" role="alert" style="display: none;">
            </div>

            <div class="modal-body">
                <form method="post" id="formSave">
                    <div class="col-auto mb-2">
                        <label for="nameSave" class="col-form-label">Name:</label>
                        <input type="text" class="form-control" id="nameSave" name="name">
                    </div>
                    <div class="col-auto mb-2">
                        <label for="priceSave" class="col-form-label">Price:</label>
                        <input type="text" class="form-control" id="priceSave" name="price">
                    </div>
                    <div class="col-auto mb-2" th:if="${measures != null}">
                        <label for="measureSave" class="col-form-label">Measure</label>
                        <select class="form-select" id="measureSave" name="measure">
                            <option th:each="measure : ${measures}" th:value="${measure}" th:text="${measure}"></option>
                        </select>
                    </div>

                    <div class="col-auto mb-2" th:if="${categories != null}">
                        <label for="categorySave" class="col-form-label">Category</label>
                        <select class="form-select" id="categorySave" name="category">
                            <option th:each="category : ${categories}" th:value="${category}" th:text="${category}"></option>
                        </select>
                    </div>

                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <input type="hidden" id="idSave" name="id">
                        <input type="button" class="btn btn-primary" value="Save" id="saveBtn">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<script th:src="@{/js/product.js}" type="text/javascript"></script>

</body>
</html>